summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndrew Ammerlaan <andrewammerlaan@riseup.net>2021-04-03 12:38:00 +0200
committerJoonas Niilola <juippis@gentoo.org>2021-04-09 15:20:58 +0300
commit62410877d2bcf20849620fc17ef22b3be62019bf (patch)
tree581c3176f4b7db1d2ff62ccaf79b7d5df56669cc
parentdev-python/qdarkstyle: add 3.0.2 (diff)
downloadgentoo-62410877d2bcf20849620fc17ef22b3be62019bf.tar.gz
gentoo-62410877d2bcf20849620fc17ef22b3be62019bf.tar.bz2
gentoo-62410877d2bcf20849620fc17ef22b3be62019bf.zip
dev-python/sphinxcontrib-autoprogram: new dep of qstylizer
Package-Manager: Portage-3.0.18, Repoman-3.0.3 Signed-off-by: Andrew Ammerlaan <andrewammerlaan@riseup.net> Signed-off-by: Joonas Niilola <juippis@gentoo.org>
-rw-r--r--dev-python/sphinxcontrib-autoprogram/Manifest1
-rw-r--r--dev-python/sphinxcontrib-autoprogram/metadata.xml16
-rw-r--r--dev-python/sphinxcontrib-autoprogram/sphinxcontrib-autoprogram-0.1.7.ebuild28
3 files changed, 45 insertions, 0 deletions
diff --git a/dev-python/sphinxcontrib-autoprogram/Manifest b/dev-python/sphinxcontrib-autoprogram/Manifest
new file mode 100644
index 00000000000..cfdefda6efd
--- /dev/null
+++ b/dev-python/sphinxcontrib-autoprogram/Manifest
@@ -0,0 +1 @@
+DIST sphinxcontrib-autoprogram-0.1.7.tar.gz 18663 BLAKE2B c1ad18df1c9ccb8fb1947ba7abbe2bc52fb531ce8142340b71bc063a6a758831d2a46913fb969f52791c3a86cb86a8eddd378c6403e1be4eb23ece2380386eea SHA512 df416759e9d6bfc69780f864bfd2c0fb847515df1d5416e4c7fb78ea0feb9cf0e360da457414a6bed5a56f69fd8ece3ccd2ed5af5fc1f56b40063765ff04f7a5
diff --git a/dev-python/sphinxcontrib-autoprogram/metadata.xml b/dev-python/sphinxcontrib-autoprogram/metadata.xml
new file mode 100644
index 00000000000..98890bad775
--- /dev/null
+++ b/dev-python/sphinxcontrib-autoprogram/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person" proxied="yes">
+ <email>andrewammerlaan@riseup.net</email>
+ <name>Andrew Ammerlaan</name>
+ </maintainer>
+ <maintainer type="project" proxied="proxy">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
+ </maintainer>
+ <stabilize-allarches/>
+ <upstream>
+ <remote-id type="pypi">sphinxcontrib-autoprogram</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/sphinxcontrib-autoprogram/sphinxcontrib-autoprogram-0.1.7.ebuild b/dev-python/sphinxcontrib-autoprogram/sphinxcontrib-autoprogram-0.1.7.ebuild
new file mode 100644
index 00000000000..b539027a7f4
--- /dev/null
+++ b/dev-python/sphinxcontrib-autoprogram/sphinxcontrib-autoprogram-0.1.7.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Documenting CLI programs"
+HOMEPAGE="https://github.com/sphinx-contrib/autoprogram"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+
+distutils_enable_sphinx doc dev-python/sphinxcontrib-websupport
+
+python_install_all() {
+ distutils-r1_python_install_all
+ find "${ED}" -name '*.pth' -delete || die
+}